routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::prefix('/admin')->name('admin.')->group(function(){
    Route::namespace('Auth')->group(function(){
        //Admin Login Routes
        Route::get('/login','AdminLoginController@showLoginForm')->name('login');
        Route::post('/login','AdminLoginController@login')->name('dologin');
        Route::post('/logout','AdminLoginController@logout')->name('logout');

        //Admin Forgot Password Routes
        Route::get('/password/reset','AdminForgotPasswordController@showLinkRequestForm')->name('password.request');
        Route::post('/password/email','AdminForgotPasswordController@sendResetLinkEmail')->name('password.email');

        //Admin Reset Password Routes
        Route::get('/password/reset/{token}','AdminResetPasswordController@showResetForm')->name('password.reset');
        Route::post('/password/reset','AdminResetPasswordController@reset')->name('password.update');

    });
    Route::get('/home', 'Admin\HomeController@index')->name('home');
    Route::resources([
        'user' => 'Admin\UserAdminController',
        'direktur' => 'Admin\UserDirekturController',
        'siswa' => 'Admin\SiswaController',
    ]);
    Route::get('/userdata', 'Admin\UserAdminController@getUser')->name('get.user');
    Route::get('/userdirektur', 'Admin\UserDirekturController@getUser')->name('get.direktur');
    Route::get('/datasiswa', 'Admin\SiswaController@getSiswa')->name('get.siswa');
    Route::match(['put', 'patch'], '/penilaian/{id}', 'Admin\SiswaController@penilaian')->name('penilaian');
});
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/laporan', 'Admin\LaporanController@indexPenilaian')->name('laporan');
Route::get('/rekomendasi', 'Admin\LaporanController@indexRekomendasi')->name('rekomendasi');
Route::get('/datapenilaian', 'Admin\LaporanController@getPenilaianSiswa')->name('get.penilaian');

resources/views/admin/home.blade.php
@extends('layouts.lte')

@section('mp')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Data Siswa</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Manajemen Penilaian</a></li>
                    <li class="breadcrumb-item active">Siswa</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @endif

            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">List Siswa</h3>
                        <div class="card-tools">
                            <ul class="nav nav-pills ml-auto">
                                <li class="nav-item">
                                    <a class="btn btn-block btn-success btn-sm" href="{{ route('admin.siswa.create') }}">Tambah</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="myTable" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Nama</th>
                                        <th>NIS</th>
                                        <th>Nama Sekolah</th>
                                        <th>BK</th>
                                        <th>Foto</th>
                                        <th>Tindakan</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
function deleteFunction(click) {
    if(confirm('Are you sure you want to delete this ?')) {
        click.parentNode.submit();
        return false;
    } else {
        return false;
    }
}
$(function() {
    $('#myTable').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.get.siswa') }}",
        columns: [
            { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', searchable: false },
            { data: 'name', name: 'name' },
            { data: 'nis', name: 'nis' },
            { data: 'sekolah', name: 'sekolah', width: '20%' },
            { data: 'bk', name: 'bk' },
            { data: 'foto', name: 'foto', orderable: false, searchable: false },
            { data: 'action', name: 'action', width: '20%', orderable: false, searchable: false }
        ]
    });
});
</script>
@endpush

resources/views/admin/useradmin.blade.php
@extends('layouts.lte')

@section('open')
menu-open
@endsection

@section('users')
active
@endsection

@section('admin')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Admin</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Users</a></li>
                    <li class="breadcrumb-item active">Admin</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @endif

            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Data Admin</h3>
                        <div class="card-tools">
                            <ul class="nav nav-pills ml-auto">
                                <li class="nav-item">
                                    <a class="btn btn-block btn-primary btn-sm" href="{{ route('admin.user.create') }}">Create</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="myTable" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Nama</th>
                                        <th>Username</th>
                                        <th>Email</th>
                                        <th>Tindakan</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
function deleteFunction(click) {
    if(confirm('Are you sure you want to delete this ?')) {
        click.parentNode.submit();
        return false;
    } else {
        return false;
    }
}
$(function() {
    $('#myTable').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.get.user') }}",
        columns: [
            { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
            { data: 'name', name: 'name' },
            { data: 'username', name: 'username' },
            { data: 'email', name: 'email' },
            { data: 'action', name: 'action', width: '20%', orderable: false, searchable: false }
        ]
    });
});
</script>
@endpush

resources/views/admin/userdirektur.blade.php
@extends('layouts.lte')

@section('open')
menu-open
@endsection

@section('users')
active
@endsection

@section('direktur')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Direktur</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Users</a></li>
                    <li class="breadcrumb-item active">Direktur</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @endif

            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Data Direktur</h3>
                        <div class="card-tools">
                            <ul class="nav nav-pills ml-auto">
                                <li class="nav-item">
                                    <a class="btn btn-block btn-primary btn-sm" href="{{ route('admin.direktur.create') }}">Create</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="myTable" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Nama</th>
                                        <th>Username</th>
                                        <th>Email</th>
                                        <th>Tindakan</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
function deleteFunction(click) {
    if(confirm('Are you sure you want to delete this ?')) {
        click.parentNode.submit();
        return false;
    } else {
        return false;
    }
}
$(function() {
    $('#myTable').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.get.direktur') }}",
        columns: [
            { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
            { data: 'name', name: 'name' },
            { data: 'username', name: 'username' },
            { data: 'email', name: 'email' },
            { data: 'action', name: 'action', width: '20%', orderable: false, searchable: false }
        ]
    });
});
</script>
@endpush